extends Node3D

func _ready() -> void:
	for i in range(0, 360, 30):
		var label := Label3D.new()
		label.text = str(i)
		label.billboard = BaseMaterial3D.BILLBOARD_ENABLED
		label.font_size = 64
		label.pixel_size = 0.0025
		var base_position = Vector2.from_angle(deg_to_rad(i)) * 1.15
		label.position = Vector3(base_position.x, 0.0, base_position.y)
		add_child(label)


func _process(delta: float) -> void:
	pass
